Ticket #33814

G Data 2014 が libopenjtalk.dll をウイルスと判定する

Open Date: 2014-05-17 20:37 Last Update: 2014-05-23 08:59

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

G Data インターネットセキュリティ 2014 の「ウイルススキャン」が libopenjtalk.dll をウイルスと判定することを確認しました。

環境

  • Windows 7 64ビット (2014.1jp のリリース作業を行ったマシンではない環境)
  • 株式会社ジャングルの G Data 2014 体験版 http://www.junglejapan.com/products/sec/gdata/ インストール後にワクチンファイルの更新を実行。
  • インストールされた NVDA 日本語版 2014.1jp

「Windows ログオン時にNVDAを起動」にして NVDA を実行しながらスキャンすると「メモリとスタートアップ」のスキャン結果:

  • ファイル libopenjalk.dll
  • 説明 Gen:Variant.Kazy.380798(エンジン A)
  • フォルダ C:\Program Files (x86)\NVDA\synthDrivers\jtalk

NVDA を起動したときに「感染したファイルにアクセスしようとしました」として以下が表示される:

  • ウイルス Gen:Variant.Kazy.380798(エンジン A)
  • ファイル libopenjalk.dll
  • リスト C:\Program Files (x86)\NVDA\synthDrivers\jtalk
  • プロセス nvda.exe

駆除をすると JTalk が選択できなくなる(「音声エンジン nvdajp_jtalk を読み込めません」)。

もうすこし調べてみます。

Ticket History (3/7 Histories)

2014-05-17 20:37 Updated by: nishimoto
  • New Ticket "G Data 2014 が libopenjtalk.dll をウイルスと判定する" created
2014-05-17 20:46 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Component Update from (None) to 音声合成
Comment

上記のあとで NVDA 2014.1jp を再インストールしようとして、インストーラーが無音になっているときのエラーログ:

INFO - synthDrivers.jtalk.mecab.Mecab_initialize (20:44:09):
dic: C:\Users\NISHIM~1\AppData\Local\Temp\nsgF71C.tmp\app\synthDrivers\jtalk\dic
INFO - synthDrivers.jtalk.mecab.Mecab_initialize (20:44:09):
mecab:0.996 nvdajp-jtalk-dic (utf-8) 20140303-013548
ERROR - synthDriverHandler.setSynth (20:44:09):
setSynth
Traceback (most recent call last):
  File "synthDriverHandler.pyo", line 80, in setSynth
  File "synthDrivers\nvdajp_jtalk.pyo", line 44, in __init__
  File "synthDrivers\jtalk\jtalkDriver.pyo", line 243, in initialize
  File "synthDrivers\jtalk\jtalkCore.pyo", line 230, in libjt_initialize
  File "ctypes\__init__.pyo", line 443, in LoadLibrary
  File "ctypes\__init__.pyo", line 365, in __init__
WindowsError: [Error 5] アクセスが拒否されました。
INFO - synthDriverHandler.setSynth (20:44:09):
Loaded synthDriver silence
2014-05-17 21:41 Updated by: nishimoto
  • Component Update from 音声合成 to (None)
Comment

リリース準備中の nvda_2014.2jp-beta.exe でも ウイルス Gen:Variant.Kazy.380798(エンジン A) ファイル libopenjalk.dll と検知されています。

nvda_2013.3jp.exe は実行してもウイルスと判定されないようです。

2014.1jp から Open JTalk のバージョンを更新したことが関係しているかも知れません。。

2014-05-17 22:42 Updated by: nishimoto
  • Milestone Update from (None) to 2014.2jp-public-beta (closed)
  • Resolution Update from None to Fixed
  • Component Update from (None) to 音声合成
Comment

あまり根本的な解決ではないのですが jptools\setup-vc2013.cmd に下記を追加して、 より互換性を重視するコンパイル条件にしたところ、誤検知しなくなったようです。

SET CL=/arch:IA32 /D "_USING_V110_SDK71_"
2014-05-20 09:01 Updated by: None
2014-05-20 09:26 Updated by: nishimoto
2014-05-23 08:59 Updated by: nishimoto
  • Ticket Close date is changed to 2014-05-23 08:59
  • Status Update from Open to Closed
Comment

問題を回避できたようなのでクローズします。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login